diff -Naur glib-1.2.10.orig/acglib.m4 glib-1.2.10/acglib.m4
--- glib-1.2.10.orig/acglib.m4	Tue Jan  5 02:37:40 1999
+++ glib-1.2.10/acglib.m4	Mon Jul 14 11:44:35 2003
@@ -122,6 +122,17 @@
 		fi
 		echo "#define GLIB_SYSDEF_$glib_sysdef$glib_default" >>$glib_sysdefso
 	done
+       AC_MSG_RESULT(failed)],
+[      for glib_sysdef_input in $2 ; do
+	       glib_sysdef=`echo $glib_sysdef_input | sed 's/^\([[^:]]*\):.*$/\1/'`
+	       glib_default=`echo $glib_sysdef_input | sed 's/^[[^:]]*:\(.*\)$/\1/'`
+	       if test $glib_sysdef != $glib_default; then
+		       glib_default=" $4$glib_default"
+	       else
+		       glib_default=
+	       fi
+	       echo "#define GLIB_SYSDEF_$glib_sysdef$glib_default" >>$glib_sysdefso
+	done
 	AC_MSG_RESULT(failed)])
 rm -f confrun.c
 ])
diff -Naur glib-1.2.10.orig/configure.in glib-1.2.10/configure.in
--- glib-1.2.10.orig/configure.in	Thu Mar 15 18:37:37 2001
+++ glib-1.2.10/configure.in	Mon Jul 14 11:51:55 2003
@@ -182,9 +182,9 @@
 AC_MSG_CHECKING([for extra flags to get ANSI library prototypes])
 glib_save_LIBS=$LIBS
 LIBS="$LIBS -lm"
-AC_TRY_RUN([#include <math.h>
+AC_TRY_COMPILE([#include <math.h>
              int main (void) { return (log(1) != log(1.)); }],
-     AC_MSG_RESULT(none needed),
+     AC_MSG_RESULT([none needed]),
      glib_save_CFLAGS=$CFLAGS
      CFLAGS="$CFLAGS -std1"
      AC_TRY_RUN([#include <math.h>
@@ -556,7 +556,7 @@
 	LIBS="$LIBS $G_MODULE_LIBS"
 	LDFLAGS="$LDFLAGS $G_MODULE_LDFLAGS"
 dnl *** check for OSF1/5.0 RTLD_GLOBAL brokenness
-        AC_CACHE_CHECK([for RTLD_GLOBAL brokenness],
+        AC_TRY_COMPILE([for RTLD_GLOBAL brokenness],
                 glib_cv_rtldglobal_broken,[
                 AC_TRY_RUN([
                 #include <dlfcn.h>
@@ -874,18 +874,16 @@
 			AC_DEFINE(HAVE_PTHREAD_GETSPECIFIC_POSIX)])
 		AC_MSG_CHECKING(whether pthread_mutex_trylock is posix like)
 		# DCE Threads return 1 as success, posix 0. what a mess.
-		AC_TRY_RUN([#include <pthread.h>
-			pthread_mutex_t mutex = PTHREAD_MUTEX_INITIALIZER;
-			int main () { 
-			return !pthread_mutex_trylock (&mutex); }],
+		AC_TRY_COMPILE([#include <pthread.h>
+			pthread_mutex_t mutex = PTHREAD_MUTEX_INITIALIZER;],
+			[return !pthread_mutex_trylock (&mutex);],
 			[AC_MSG_RESULT(no)],
 			[AC_MSG_RESULT(yes)
 			AC_DEFINE(HAVE_PTHREAD_MUTEX_TRYLOCK_POSIX)])
 		AC_MSG_CHECKING(whether pthread_cond_timedwait is posix like)
 		# DCE Threads return -1 as failure, posix ETIMEDOUT.
-		AC_TRY_RUN([#include <pthread.h>
-			int main () { 
-			pthread_mutex_t mutex = PTHREAD_MUTEX_INITIALIZER;
+		AC_TRY_COMPILE([#include <pthread.h>],
+			[pthread_mutex_t mutex = PTHREAD_MUTEX_INITIALIZER;
 			pthread_cond_t cond = PTHREAD_COND_INITIALIZER;
 			struct timeval tval;
 			struct timespec tspec;
@@ -893,7 +891,7 @@
 			tspec.tv_sec = tval.tv_sec;
 			tspec.tv_nsec = 0;
 			return pthread_cond_timedwait (&cond,&mutex,&tspec) 
-				!= -1;}],
+				!= -1;],
 			[AC_MSG_RESULT(no)],
 			[AC_MSG_RESULT(yes)
 			AC_DEFINE(HAVE_PTHREAD_COND_TIMEDWAIT_POSIX)])
diff -Naur glib-1.2.10.orig/ltconfig glib-1.2.10/ltconfig
--- glib-1.2.10.orig/ltconfig	Thu Feb  3 03:53:22 2000
+++ glib-1.2.10/ltconfig	Mon Jul 14 11:50:53 2003
@@ -1970,15 +1970,7 @@
   file_magic_cmd=/usr/bin/file
   file_magic_test_file=`echo /lib/libc.so* /lib/libc-*.so`
 
-  if test -f /lib/ld.so.1; then
-    dynamic_linker='GNU ld.so'
-  else
-    # Only the GNU ld.so supports shared libraries on MkLinux.
-    case "$host_cpu" in
-    powerpc*) dynamic_linker=no ;;
-    *) dynamic_linker='Linux ld.so' ;;
-    esac
-  fi
+  dynamic_linker='GNU ld.so'
   ;;
 
 netbsd*)
